2009-02-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #571721

	* itip-view.c: (itip_view_init): Added translators comment.

2009-02-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #548787

	* itip-view.c (set_info_items), (itip_view_init),
	(itip_view_set_source_list): Enable CnP for all the text info present
	in calendar related messages.

2009-01-21  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #541209

	** Adapt to the new APIs from upstream libical. Changes made include
	using the "_r" counterpart for the following APIs:
	+ icalproperty_as_ical_string ()
	+ icalvalue_as_ical_string ()
	+ icalcomponent_as_ical_string ()
	+ icalparameter_as_ical_string ()
	+ icaldurationtype_as_ical_string ()
	+ icalenum_reqstat_code ()
	+ icallangbind_property_eval_string ()
	+ icallangbind_quote_as_ical ()
	+ icalmime_text_end_part ()
	+ icalperiodtype_as_ical_string ()
	+ icalproperty_enum_to_string ()
	+ icalproperty_get_parameter_as_string ()
	+ icalproperty_get_value_as_string ()
	+ icalproperty_get_property_name ()
	+ icalrecurrencetype_as_string ()
	+ icaltime_as_ical_string ()
	+ icalreqstattype_as_string ()
	+ icalvalue_binary_as_ical_string ()
	+ icalvalue_int_as_ical_string ()
	+ icalvalue_utcoffset_as_ical_string ()
	+ icalvalue_string_as_ical_string ()
	+ icalvalue_recur_as_ical_string ()
	+ icalvalue_text_as_ical_string ()
	+ icalvalue_attach_as_ical_string ()
	+ icalvalue_duration_as_ical_string ()
	+ icalvalue_date_as_ical_string ()
	+ icalvalue_datetime_as_ical_string ()
	+ icalvalue_float_as_ical_string ()
	+ icalvalue_geo_as_ical_string ()
	+ icalvalue_datetimeperiod_as_ical_string ()
	+ icalvalue_period_as_ical_string ()
	+ icalvalue_trigger_as_ical_string ()
	+ icalvalue_as_ical_string ()

	* itip-formatter.c (find_attendee), (find_to_address),
	(find_from_address), (update_item):

2009-01-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #225712

	* itip-view.h:
	* itip-view.c: (itip_view_set_show_keep_alarm_check),
	(itip_view_get_keep_alarm_check_state),
	(itip_view_set_show_inherit_alarm_check),
	(itip_view_get_inherit_alarm_check_state): New functions to new
	options to either inherit reminder from the incoming event or to
	preserve users reminders in already existing event in the calendar.
	* itip-view.c: (struct _ItipViewPrivate), (alarm_check_toggled_cb),
	(itip_view_init): Properly initialize new option's members.
	* itip-formatter.c: (find_cal_opened_cb), (update_item),
	(send_comp_to_attendee), (update_attendee_status), (send_item),
	(extract_itip_data), (view_response_cb), (format_itip_object):
	Setup new options based on the actual data.

2008-11-28  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #561467

	* itip-formatter.c (update_x), (update_attendee_status): Copy
	required X-* properties . This might be needed for special cases
	in certain backends.

2008-11-06  Patrick Ohly  <patrick.ohly@gmx.de>

	** Fix for bug #541121

	* itip-formatter.c: don't allow sending a response to meeting
	invitation replies

2008-10-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #514989

	* itip-view.c: (format_date_and_time_x):
	Calculate tomorrow from current time, not from the date to convert.

2008-10-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #550441

	* itip-formatter.c: (view_response_cb): Ignore if summary not there.

2008-10-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #550441

	* itip-formatter.c: (view_response_cb):
	Use the proper functions to traverse messages in a folder's summary.

2008-10-10  Patrick Ohly  <patrick.ohly@gmx.de>

	** #541121: improved itip formatter: allow replying to forwarded
	and already imported invitations; honor RVSP flag in invitation
	
	* itip-formatter.c: the whole logic for "reply to organize" was
	improved.

	If an organizer exists, replying is enabled. Sending a reply is
	enabled by default if the event looks like a meeting (= has
	attendees).  The wish of the organizer to not get replies is
	checked (previous Evolution releases ignored it); in this case the
	default is to not send a reply. In all cases the user can override
	the default.

2008-10-08  Sankar P  <psankar@novell.com>

License Changes

	* itip-formatter.c:

2008-10-03  Sankar P  <psankar@novell.com>

License Changes

	* itip-view.c:

2008-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #519491

	* itip-view.c: (ensure_utf8), (itip_view_set_organizer),
	(itip_view_set_organizer_sentby), (itip_view_set_attendee),
	(itip_view_set_attendee_sentby), (itip_view_set_proxy),
	(itip_view_set_delegator), (itip_view_set_summary),
	(itip_view_set_location), (itip_view_set_status),
	(itip_view_set_comment), (itip_view_set_description),
	(itip_view_add_upper_info_item), (itip_view_add_lower_info_item):
	Convert texts to valid UTF-8 texts before passing them to Gtk+
	functions which requires that.

2008-09-24  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #313225

	* itip-formatter.c: (format_itip): Set the user flag '$has_cal'
	on the message when formatting a calendar attachment.

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* itip-view.h:

2008-08-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #546892

	* itip-view.c:
	Prefer gtk_image_new_from_icon_name() or e_icon_factory_get_image().

2008-07-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #491176

	* itip-view.c: (itip_view_init): Word-wrap the summary if necessary;
	expand also value-labels in the table, thus the text will be aligned
	on the left; align action buttons on the left too.

2008-07-17  Chenthill Palanisamy  <pchenthill@novell.com>

	* itip-formatter.c: (view_response_cb): Added some 
	FIXME's for code cleanup.						

2008-07-16  Sankar P  <psankar@novell.com>

	Pushing disk summary changes from the madagascar branch

	* itip-formatter.c (view_response_cb):

2008-05-29  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #535459

	* itip-formatter.c: (extract_itip_data):
	Do not use component when sanity check fails.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* itip-view.c:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-04-30  Chenthill Palanisamy  <pchenthill@novell.com>

        ** Fixes #338330 (bnc)
           Internet Based Calendar Events Are Declined By Evolution/GroupWise

	* itip-formatter.c: (view_response_cb):

2008-04-28  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for BNC bug #382687

	* plugins/itip-formatter/itip-formatter.c: Don't download contents in
	main thread, which causes deadlock

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #523541

	* itip-formatter.c: (find_server):
	Do not leak memory returned by e_cal_component_get_recurid_as_string.

2008-02-25  Chenthill Palanisamy  <pchenthill@novell.com>

	* itip-formatter.c: (find_server), (update_attendee_status): Free
	the memory returned by e_cal_component_get_recurid_as_string.								     

2008-02-25  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes#516408
	* itip-formatter.c (find_attendee), (find_to_address),
	(find_from_address), (update_item): Free the memory returned 
	by libical.

2008-02-20  Paul Bolle  <pebolle@tiscali.nl>

	** Follow up on bug #517072

	* itip-view.c: (set_calendar_sender_text), (set_tasklist_sender_text),
	(set_journal_sender_text): Properly escape text here too.

2008-02-19  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #517072

	* itip-view.c: (set_summary_text):
	Properly escape summary text.

2008-02-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515744

	* itip-formatter.c: (idle_open_cb): Memory Leak fix.

2008-02-05  Srinivasa Ragavan  <sragavan@novell.com>

	** Rewrite of itip-formatter bits. It was written around carrying
	EMFormatHTMLPobject. But that would be freed just after the formatter
	thread ends. So all the time, it was working on dead pointer. Now I
	have made EMFormatPURI and carried it around well. It might need a
	good review though.

	** Fix for bug #468427
	Fixes a lot of crashes around itip-formatter.

	* itip-formatter.c: (find_to_address), (find_from_address),
	(get_real_item), (adjust_item), (set_buttons_sensitive),
	(cal_opened_cb), (start_calendar_server),
	(start_calendar_server_by_uid), (source_selected_cb),
	(find_cal_opened_cb), (find_server), (update_item),
	(remove_delegate), (update_attendee_status), (send_item),
	(set_itip_error), (extract_itip_data), (idle_open_cb),
	(view_response_cb), (format_itip_object), (puri_free),
	(format_itip), (itip_attachment_frame):

2008-01-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #475781

	* itip-formatter.c: (format_itip_object):
	Fix memory leaks around ECalComponentDateTime.

2007-12-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #362638

	* itip-formatter.c:
	Use the new MailMsg API for messages.

2007-12-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #220846

	* itip-view.h:
	* itip-view.c: (itip_view_set_show_free_time_check),
	(itip_view_get_free_time_check_state), (struct _ItipViewPrivate),
	(itip_view_init):
	* itip-formatter.c: (view_response_cb), (format_itip_object):
	New option to accept meeting request as free time.

2007-11-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #458237

	* itip-formatter.c: (start_calendar_server), (source_selected_cb):
	Check for non-NULL source before using it to prevent a crash.

2007-10-26  Kjartan Maraas  <kmaraas@gnome.org>

	* itip-view.c: (itip_view_get_source_list), (itip_view_get_source),
	(itip_view_get_rsvp_comment): Fix NULL vs FALSE warnings.

2007-10-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #417999

	* itip-view.c:
	Use ESourceComboBox instead of ESourceOptionMenu (deprecated).

2007-10-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #331578

	* itip-formatter.c: (struct _opencal_msg), (open_calendar_desc),
	(open_calendar_do), (open_calendar_done), (open_calendar_free),
	(struct _mail_msg_op open_calendar_op):
	New functions and structures to run command line in other thread.
	* itip-formatter.c: (idle_open_cb):
	Run command line in other thread rather than in main thread.

2007-10-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #346146

	* itip-view.h: (enum ItipViewMode): Added ITIP_VIEW_MODE_HIDE_ALL.
	* itip-view.c: (set_buttons): Don't add buttons when in this mode.
	* itip-formatter.c: (in_proper_folder): New helper function.
	* itip-formatter.c: (format_itip_object): Check if the mail is in
	proper folder and allow response in this case, otherwise only show
	info from calendar and don't check in local calendar for anything.

2007-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #428402

	* itip-formatter.c: (extract_itip_data): First move to next component, then
	remove last alarm and then free that last component.

2007-09-07  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #273417
	* itip-formatter.c: (idle_open_cb): Removed the base version
	while invoking evolution calendar.					    

2007-08-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #329746

	* itip-formatter.c: (send_item), (format_itip_object):
	Marked strings to localize and renamed 'Journal' to 'Memo'.
	* itip-formatter.c: (find_cal_opened_cb):
	Renamed 'Journal' to 'Memo'.

2007-08-21  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #301835 (BNC)

	* itip-formatter.c: (find_from_address):
	Fixed crash when no SENTBY parameter present.

2007-08-06  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #460326

	* itip-formatter.c: (extract_itip_data): If the vcalendar isn't there
	don't crash but report invalid.

2007-07-20  Claude Paroz  <claude@2xlibre.net>

	* itip-view.c: (set_tasklist_sender_text): Added omitted %s formatter.

2007-07-09  Chenthill Palanisamy  <pchenthill@novell.com>

	* itip-formatter.c: (format_itip_object): Fixed a build break.

2007-07-09  Chenthill Palanisamy  <pchenthill@novell.com>

	reviewed by: Veerapuram Varadhan <vvaradhan@novell.com>

	* itip-formatter.c: (find_attendee), (find_attendee_if_sentby):
	Finds the address of the account owner in the attendees list.		
	(find_to_address), (find_from_address): Establishes the current 
	account id.
	(extract_itip_data), (view_response_cb), (format_itip_object), 
	(pitip_free): Sets the corresponding itip-view components.
	* itip-view.h:
	* itip-view.c: (set_calendar_sender_text),
	(set_tasklist_sender_text), (set_journal_sender_text),
	(itip_view_destroy), (itip_view_set_organizer_sentby),
	(itip_view_get_organizer_sentby), (itip_view_set_attendee_sentby),
	(itip_view_get_attendee_sentby), (itip_view_set_proxy),
	(itip_view_get_proxy): Sets the message appropriately in the itip-view.

	Committing on behalf of Suman Manjunath <msuman@novell.com>

2006-09-14  Andre Klapper  <a9016009@gmx.de>

	* itip-view.c: fix some bad mnemonics, mark string for 
	translation. Fixes bug #439186.

2007-06-02  Matthew Barnes  <mbarnes@redhat.com>

	* itip-formatter.c: Fix a compilation warning.  (#437584)
	Patch from Gilles Dartiguelongue.

2007-05-11  Gilles Dartiguelongue  <dartigug@esiee.fr>

	* itip-view.c: (set_one_button): Fixes casts,
	fixes part of bug #437584.

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* itip-view.c (set_one_button):
	e_gtk_button_new_with_icon() is dead; just do it manually.

	* itip-view.c (itip_view_class_init):
	Use g_cclosure_marshal_VOID__INT instead of gtk_marshal_NONE__INT.

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* itip-formatter.c:
	Fix "incompatible pointer type" warnings (#360619).

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2007-02-09  Sankar P  <psankar@novell.com>

	* itip-formatter.c: (update_item), (view_response_cb):
	Deletes all instances of a recurrence appointment as soon as the 
	invitation is accepted/declined adn applied-to-all.
	Fixes #312301

2006-09-14  Andre Klapper  <a9016009@gmx.de>

	* itip-view.c: correct display of time. Fixes bug #343686.

2006-08-23  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #347248

	* itip-formatter.c: (update_item): Update the
	em_utils_temp_save_part to use readwrite mode.

2006-08-23  Matthew Barnes  <mbarnes@redhat.com>
  	 
	* itip-formatter.c:
	fix an uninitialized GError - fixes bug 352423.

2006-08-23  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #350395 by Øystein Gisnås
	
	* itip-view.c: (format_date_and_time_x): The patch adds some extra 
	checks to avoid the crash.

2006-08-18  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #328268
	* itip-formatter.c: (start_calendar_server): Check
	for the presence of ecal before connecting the signal.						 

2006-08-11  Harish Krishnaswamy  <kharish@novell.com>

	* itip-formatter.c: (send_comp_to_attendee):
	Add missing argument in the call to itip_send_comp.

2006-07-22  Chenthill Palanisamy  <pchenthill@novell.com>

	* itip-formatter.c: (cal_opened_cb), (source_selected_cb),
	(find_cal_opened_cb), (extract_itip_data), (view_response_cb),
	(format_itip_object):
	* itip-view.c: (set_journal_sender_text), (set_sender_text),
	(set_buttons), (itip_view_set_source_list),
	(itip_view_get_rsvp_comment), (itip_view_set_needs_decline):
	* itip-view.h: Added support shared Memos.

2006-07-06  Harish Krishnaswamy  <kharish@novell.com>

	* itip-formatter.c: (format_itip_object):
	Handle ICAL_X methods from Microsoft Live as 
	request methods.

2006-06-19  Harish Krishnaswamy  <kharish@novell.com>

	* itip-formatter.c (update_item):
	Free GSList and its data after calling 
	e_cal_component_get_attachment_list.

2006-06-16  Sankar P  <psankar@novell.com>

	* itip-formatter.c: (view_response_cb):
	Deletes a GroupWise appointment if accepted or deleted.
		
2006-06-16  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #179774 (b.n.c)
	* itip-formatter.c: (cal_opened_cb), (find_cal_opened_cb):
	Reset the current_ecal and disable the buttons if the calendar
	is not opened properly.

2006-06-09  Chris Heath <chris@heathens.co.nz>

	* itip-view.c (itip_view_destroy): Fix memory leak.
	Fixes bug #335423.

2006-05-31  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #340296
	* itip-formatter.c: (cal_opened_cb), (start_calendar_server),
	(find_cal_opened_cb): Set the default timezone before the calendar
	is opened.
	(find_server), (format_itip_object): If the mail account has the associated
	calendar, then do not open all the calendars. Open the current calendar
	and other calendars marked for conflict search.

2006-02-14  Veerapuram Varadhan <vvaradhan@novell.com>

	* itip-formatter.c (itip_formatter_page_factory): A typo fix from
	gfree to g_free.
	
2006-02-12  Karsten Bräckelmann  <guenther@rudersport.de>

	* itip-formatter.c (itip_formatter_page_factory):
	Removing unnecessary markup in translateable string.
	Fixes part of bug #272789.

2006-02-11  Karsten Bräckelmann  <guenther@rudersport.de>

	* itip-formatter.c (itip_formatter_page_factory): 
	Change a11y names. Fixes part of bug #330723.

2006-01-09  Kjartan Maraas  <kmaraas@gnome.org>

	* itip-formatter.c: (find_cal_opened_cb), (message_foreach_part),
	(update_attendee_status), (view_response_cb), (check_is_instance),
	(format_itip_object): Add some comments and remove unused code.
	* itip-view.c: (itip_view_class_init), (recur_toggled_cb),
	(itip_view_add_upper_info_item_printf),
	(itip_view_add_lower_info_item_printf): Remove more cruft.

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* itip-view.c: use e_utf8_strftime() in evolution-data-server/
        libedataserver/e-data-server-util.c instead of the copy in 
        evolution/e-util/e-util.c.

2006-01-06  Andre Klapper <a9016009@gmx.de>

	* evolution/plugins/itip-formatter/itip-formatter.c:
	* evolution/plugins/itip-formatter/itip-view.c:
	changing "cancelled" (British English)
	to "canceled" (American English). Fixes bug 325334.

2006-01-06  Simon Zheng <simon.zheng@sun.com>

	* itip-formatter.c:
	* itip-view.c:
	use libedataserver/e-account-list.h instead of e-util/e-account-list.h.
	use libedataserver/e-account.h instead of e-util/e-account.h.

2006-01-02  Harish Krishnaswamy  <kharish@novell.com>

	* itip-formatter.c: (source_selected_cb):
	Check for static capability only if the ecal
	already exists. Fixes another critical warning
	crasher.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* itip-formatter.c: added a missing word. Fixes bug 325128.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* itip-formatter.c, itip-view.c: Marked missing strings translatable.
	  Fixes bug 313554 in CVS HEAD.

2005-12-17  Tor Lillqvist  <tml@novell.com>

	* itip-formatter.c: Use g_ascii_strcasecmp() instead of
	g_strcasecmp().

2005-11-24  Tor Lillqvist  <tml@novell.com>

	* itip-view.c: Drop extra inclusion of e-util/e-time-utils.h,
	which is going away anyway.

2005-11-07  Dinesh Layek  <ldinesh@novell.com>

	Fixes #308752
	* itip-formatter.c: (itip_formatter_page_factory): changed the label 
	"Meetings and Tasks" as "Calendar and Tasks"

2005-09-12  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #315345
	* itip-view.c: (format_date_and_time_x): Send the 
	month as it as without subtracting one.

2005-08-29  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #313534
	* itip-formatter.c: (cal_opened_cb), (find_cal_opened_cb):
	Moved the code to display recur check box to cal_opened_cb.

2005-08-23  Not Zed  <NotZed@Ximian.com>

	* itip-view.c: add missing headers.

2005-08-21  Chenthill Palanisamy  <pchenthill@novell.com>

	* itip-formatter.c: 
	(update_attendee_status): removed the unwanted brackets.
	(format_itip_object): Applied the patch from
	Christian Kellner <Christian.Kellner@scalix.com> which
	fixes a memory leak and make deference of url
	much simpler.

2005-08-20  Carsten Guenther <carsten.guenther@scalix.com>

	* itip-formatter.c: (cal_opened_cb, final_cal_opened_cb):
	Put back in warning messages about calendar not being opened.

2005-08-18  Carsten Guenther <carsten.guenther@scalix.com>

	* itip-formatter.c: (update_attendee_status): NULL-terminate
	calls to e_error_run; fixed typos in if-statement; some code
	cleanup.
	(cal_opened_cb, final_cal_opened_cb): Removed unnecessary
	message about not being able to open the calendar.

2005-08-11  Dinesh Layek  <LDinesh@novell.com>

	Fixes #305627
	* itip-formatter.c: (format_itip_object): set the source calendar
	of an appointment from the url information of CamelFolder.

2005-08-09  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #307841
	* itip-formatter.c: (view_response_cb): Check
	if the transparency is set and if not set it as
	Opaque.

2005-07-27  Vivek Jain  <jvivek@novell.com>
	
	* itip-formatter.c : (update_item) 
	applied patch submitted by <tommi.komulainen@iki.fi>
	do not send "cid:" to get the part.
	check part for NULL before using it.
	(message_foreach_part): do nothing if part is NULL
	saves crash.
	**Fixes #272632

2005-07-20  Chenthill Palanisamy  <pchenthill@novell.com>

	* itip-formatter.c: (format_itip_object): Fixed a memory
	leak and a crash when start date does is not present.

2005-07-19  Chenthill Palanisamy  <pchenthill@novell.com>

	* itip-formatter.c: 
	(source_selected_cb), (find_cal_opened_cb): Check if 
	the component is a recurring and show the recurring check box.
	(view_response_cb): Set the MOD-TYPE property while accepting
	all instances.
	(check_is_instance): Checks if its a recurring event.
	(format_itip_object):
	(find_server): Set the recurrence id.

2005-07-11  Harish Krishnaswamy  <kharish@novell.com>

	* itip-formatter.c (source_selected_cb), 
	(find_cal_opened_cb), (extract_itip_data): enable the
	'Apply to all instances' option for gw recurrence instances.
	(view_response_cb): embed X-GW-RECUR-INSTANCE-MOD-TYPE property in the
	component to indicate whether the accept/decline status applies
	to the instance or the entire group.
	* itip-view.[ch]: (set_buttons), (recur_toggled_cb), (itip_view_init),
	(itip_view_get_recur_check_state), (itip_view_set_show_recur_check):
	utility methods to manipulate the recur_check widget.

2005-06-27  Tor Lillqvist  <tml@novell.com>

	* Makefile.am: Use NO_UNDEFINED. Link with more libraries.

2005-06-20  Chenthill Palanisamy  <pchenthill@novell.com>

	* itip-formatter.c: (find_my_address), (set_attendee),
	(send_comp_to_attendee), (remove_delegate),
	(update_attendee_status), (extract_itip_data),
	(format_itip_object): Set the delegator address. If the 
	organizer refuses to add the new delegate, send a cancel
	method to the delegate and request to the attendee.
	* itip-view.h:
	* itip-view.c: (set_calendar_sender_text), (itip_view_init),
	(itip_view_get_show_rsvp), (itip_view_set_update),
	(itip_view_get_update), (itip_view_set_show_update),
	(itip_view_get_show_update): Added functions to show an
	option to send updates to attendees.
	* org-gnome-itip-formatter.error.xml: Added the error
	message to add a new delegate.

2005-06-18  Tor Lillqvist  <tml@novell.com>

	* org-gnome-itip-formatter.eplug.xml: Use SOEXT.

2005-05-16  Not Zed  <NotZed@Ximian.com>

	* itip-formatter.c: moved e-error to e-util

2005-05-11  Not Zed  <NotZed@Ximian.com>

	* Makefile.am: setup cleanfiles & fix extra_dist

2005-05-06  Not Zed  <NotZed@Ximian.com>

	* org-gnome-itip-formatter.error.xml: s/-errors.xml/.error.xml/

	* Makefile.am: 
	* org-gnome-itip-formatter.eplug.xml: s/.in/.xml/ & i18n.

2005-04-08  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #74265
	* itip-view.c (format_date_and_time_x): In time_days_in_month
	the  months are indexed from 0, so subtract one from the month
	argument and send it.

2005-04-07  JP Rosevear  <jpr@novell.com>

	Fixes #74291
	
	* itip-view.c (itip_view_init): remove comment to re-enable
	description display

2005-03-31  JP Rosevear  <jpr@novell.com>
 
 	Fixes #73844
 	
 	* itip-formatter.c (extract_itip_data): make sure we check the
 	kind of the correct item
	
2005-03-30  Li Yuan  <li.yuan@sun.com>

	* itip-formatter.c: (itip_formatter_page_factory):
	add a11y name to Conflict Search Table
	Fixes #73914

2005-03-11  JP Rosevear  <jpr@novell.com>

	* itip-formatter.c (extract_itip_data): set the type appropriately
	so that assigned tasks can be handled

2005-02-24  Björn Torkelsson  <torkel@acc.umu.se>

	* org-gnome-itip-formatter.eplug.in: Added author and description.
	s/bbdb/itip/
	Added xml tag.

2005-02-07  JP Rosevear  <jpr@novell.com>

	* org-gnome-itip-formatter.eplug.in: specify id for config page

2005-03-03  Rodney Dawes  <dobey@novell.com>

	* itip-view.c (itip_view_init): Set the spacing for ourself to 12
	to be HIG compliant as we are a GtkHBox derivative
	Align the icon at 0.5 in the X direction to be HIG compliant
	Set the spacing between table rows/columns to be HIG compliant
	Fix the spacing/padding for all the boxes and packing calls to be
	HIG compliant

	Fixes #41235
	
2005-02-02  Chenthill Palanisamy  <pchenthill@novell.com>

	reviewed by Harish Krishnaswamy <kharish@novell.com>

	Fixes #71460
	* itip-formatter.c: (view_response_cb): If the my_address
	is not set. Set it from the backend.

2005-01-27  JP Rosevear  <jpr@novell.com>

	* itip-view.c (format_date_and_time_x): make tomorrow and this
	week strings work properly

2005-01-27  JP Rosevear  <jpr@novell.com>
	
	* itip-formatter.c (find_cal_opened_cb): remove debug test

442005-01-27  JP Rosevear  <jpr@novell.com>

	* itip-formatter.c: add some debugging spew

2005-01-27  Rodrigo Moya <rodrigo@novell.com>

	* itip-formatter.c (update_attendee_status): deal with the itip
	message having an individual instance.

2005-01-26  JP Rosevear  <jpr@novell.com>

	Fixes #71485
	
	* itip-formatter.c (update_attendee_status): fix message paste-o

	* itip-view.c (format_date_and_time_x): improve translator
	comments

2005-01-25  JP Rosevear  <jpr@novell.com>

	* itip-formatter.c (pitip_free): actually destroy the client
	hashes so the signals get cleaned up
	(format_itip): create a proper unique classid for the pobject

2005-01-14  JP Rosevear  <jpr@novell.com>

	* itip-formatter.c (extract_itip_data): use
	camel_data_wrapper_decode_to_stream instead of
	camel_data_wrapper_write_to_stream 
	
2005-01-14  JP Rosevear  <jpr@novell.com>

	* itip-formatter.c (format_itip_object): handle UTC dtstart/dtend
	properly

2005-01-11  JP Rosevear  <jpr@novell.com>

	Fixes #29985
	
	* itip-formatter.c (view_response_cb): set the message flags to
	answered if we send successfully

2005-01-11  Harish Krishnaswamy  <kharish@novell.com>

	* itip-formatter.c (update_item): Fixed a compiler warning. 

2005-01-10  JP Rosevear  <jpr@novell.com>

	* itip-formatter.c (update_item): set to the new items, duh
	
2005-01-10  JP Rosevear  <jpr@novell.com>

	* itip-formatter.c (update_item): compare pointers instead of
	content id

2005-01-10  JP Rosevear  <jpr@novell.com>	

	* itip-formatter.c (update_item): first crack at saving
	attachments for the backend
	(extract_itip_data): tell the user what to do for more than one
	attachment

2005-01-09  JP Rosevear  <jpr@novell.com>

	* itip-view.h: remove error mode

	* itip-formatter.c (set_itip_error): show error information to the
	user
	(extract_itip_data): use above
	(format_itip_object): no more "error" mode

2005-01-09  JP Rosevear  <jpr@novell.com>
	
	* itip-view.c (itip_view_set_delegator): accessor
	(itip_view_get_delegator): ditto

	* itip-view.h: new protos

	* itip-formatter.c (extract_itip_data): put delegate sections back
	in and handle default reminder
	(format_itip_object): set the delegator for requests, find the
	delegator calendar if necessary

2005-01-09  JP Rosevear  <jpr@novell.com>
	
	* itip-formatter.c (idle_open_cb): launch an evolution window
	pointing at the calendar date of the appointment
	(view_response_cb): use it

2005-01-09  JP Rosevear  <jpr@novell.com>	

	* itip-formatter.c (find_cal_opened_cb): only check for conflicts
	if the source has the conflict property
	(initialize_selection): select the "conflict" sources in the
	selector
	(source_selection_changed): update the source properties
	(itip_formatter_page_factory): include the source selector for
	selecting conflict checking calendars

2005-01-08  Harish Krishnaswamy  <kharish@novell.com>

	* itip-formatter.c: (send_item), (view_response_cb):
	update itip_send_comp calls with the new prototype.

2005-01-07  JP Rosevear  <jpr@novell.com>

	* itip-view.h: new protos

	* itip-view.c (set_tasklist_sender_text): task sender messages
	(set_calendar_sender_text): calendar sender messages
	(set_sender_text): select above as appropriate
	(itip_view_set_item_type): accessor
	(itip_view_get_item_type): ditto

	* itip-formatter.c (find_cal_opened_cb): messages for
	meetings/tasks/journals
	(send_item): ditto
	(format_itip_object): ditto
	(itip_formatter_page_factory): change page title

2005-01-07  JP Rosevear  <jpr@novell.com>	

	* itip-formatter.c (view_response_cb): ensure there is only one
	attendee in the RSVP even if the user is duplicated

2005-01-07  JP Rosevear  <jpr@novell.com>
	
	* itip-view.h: protos

	* itip-view.c (rsvp_toggled_cb): set comment sensitivity
	(itip_view_init): add comment entry
	(itip_view_set_rsvp): make comment entry sensitive when rsvp is
	(itip_view_set_rsvp_comment): accessor
	(itip_view_get_rsvp_comment): ditto
	
	* itip-formatter.c (find_cal_opened_cb): set error message if we
	can't find the item
	(view_response_cb): add comment if the user sets one

2005-01-07  JP Rosevear  <jpr@novell.com>
	
	* itip-view.h: add protos

	* itip-view.c (set_sender_text): update descriptions better
	(set_status_text): show/hide status
	(set_comment_text): show/hide comment
	(set_buttons): update buttons for add an refresh
	(itip_view_destroy): free comment/status
	(itip_view_init): add status/comment widgets
	(itip_view_set_status): accessor
	(itip_view_get_status): ditto
	(itip_view_set_comment): ditto
	(itip_view_get_comment): ditto

	* itip-formatter.c (find_cal_opened_cb): make sure rsvp is off for
	publish
	(format_itip_object): decline counter is sent by an organizer; set
	status and comment when appropriate

2005-01-05  Rodney Dawes  <dobey@novell.com>

	* Makefile.am: Dist the errors data properly, and add the .eplug
	output file to BUILT_SOURCES

2005-01-03  Rodney Dawes  <dobey@novell.com>

	* itip-formatter.c (format_itip_object): Don't do set_usize ()
	on the container

2005-01-03  JP Rosevear  <jpr@novell.com>

	* itip-formatter.c (format_itip_object): load accounts

2005-01-03  JP Rosevear  <jpr@novell.com>
	
	* org-gnome-itip-formatter-errors.xml: remove unused message

	* itip-formatter.c (update_item): use info item, not e-error
	
2005-01-03  JP Rosevear  <jpr@novell.com>

	* itip-formatter.c (view_response_cb): implement cancel
	(update_item): add cancel info item

2005-01-03  JP Rosevear  <jpr@novell.com>
	
	* itip-view.c (itip_view_add_upper_info_item_printf): utility
	routine to make it easier to add info items
	(itip_view_add_lower_info_item_printf): ditto

	* itip-view.h: new protos

	* itip-formatter.c: use new printf routines everyhwere it makes
	sense
	
2005-01-03  JP Rosevear  <jpr@novell.com>
	
	* itip-formatter.c (find_cal_opened_cb): move the adjust item work
	here when we actually have the calendar
	(pitip_free): implement a free function
	(find_cal_opened_cb): check the methods instead of the show
	selector member
	(find_cal_opened_cb): default to true for the rsvp setting

2005-01-03  JP Rosevear  <jpr@novell.com>
	
	* itip-view.h: add response enums

	* itip-view.c (set_buttons): fiddle with button names and response enums

	* itip-formatter.c (find_server): don't include our uid in the
	conflicts search
	(update_attendee_status): update the status of the attendee and
	save it out
	(adjust_item): get relevant properties for items that might
	contain them if sent from an attendee
	(get_real_item): get the actual, current item
	(send_item): send the item
	(view_response_cb): handle REPLY and REFRESH requests
	(format_itip_object): adjust the item if necessary and set the
	attendee for reply/refresh; prevent crash if no description
	(pitip_free): skeleton free function
	(format_itip): load delete message setting
	(delete_toggled_cb): set delete message setting based on toggle
	(itip_formatter_page_factory): make the delete message check box
	work

	* Makefile.am: install e-error messages

2005-01-03  JP Rosevear  <jpr@novell.com>
	
	* itip-view.h: new protos, signal

	* itip-view.c (set_info_items): be more generic so both upper and
	lower setting can use it
	(set_upper_info_items): set the upper info items
	(set_lower_info_items): ditto for lower items
	(itip_view_destroy): clear both sets of info items
	(itip_view_class_init): add source selected signalo
	(itip_view_init): add separate upper and lower info item areas and
	a detail area
	(itip_view_add_upper_info_item): add upper info item
	(itip_view_remove_upper_info_item): remove a singal upper area
	info item
	(itip_view_clear_upper_info_items): clear them all
	(itip_view_add_lower_info_item): as above
	(itip_view_remove_lower_info_item): ditto
	(itip_view_clear_lower_info_items): ditto
	(source_selected_cb): emit the source selected signal when the
	source in the option menu changes
	(itip_view_set_source_list): take a source list and create an
	e-source-option-menu if its non-null
	(itip_view_get_source_list): get source list
	(itip_view_set_source): set a specific source in the source option
	menu
	(itip_view_get_source): obtain that source
	(itip_view_set_rsvp): get the rsvp status
	(itip_view_get_rsvp): set it
	(itip_view_set_show_rsvp): set visibility of rsvp check box
	(itip_view_get_show_rsvp): get the visibility of rsvp check box
	(itip_view_set_buttons_sensitive): set button sensitivity
	(itip_view_get_buttons_sensitive): get button sensitivity

	* itip-formatter.c (find_my_address): find the user's address in
	the list of attendees
	(set_buttons_sensitive): set the action buttons sensitivity
	appropriately
	(cal_opened_cb): use above
	(start_calendar_server): ditto
	(start_calendar_server_by_uid): de-sensitize buttons to start
	(source_selected_cb): ditto
	(find_cal_opened_cb): check for conflicting appointments; set
	informative info area items
	(find_server): create the sexp for determining conflicts
	(update_item): oset informative info area items
	(view_response_cb): implement some of the responses, start on
	implementing rsvp
	(format_itip_object): load the source lists properly

2004-12-29  JP Rosevear  <jpr@novell.com>

	* itip-view.h: new protos

	* itip-view.c (format_date_and_time_x): don't draw the leading
	zero in 12hr clock mode for the hour
	(set_sender_text): make intro statements closer to the UI design
	(set_description_text): display description
	(set_info_items): show info items, messages with icons
	(set_progress_text): show progress text item (for
	loading/searching calendars)
	(set_one_button): add a response button
	(set_buttons): set response buttons based on mode
	(itip_view_destroy): clear info items
	(itip_view_class_init): add response signal
	(itip_view_init): new areas for description, info items, buttons
	(itip_view_set_description): accessor
	(itip_view_get_description): ditto
	(itip_view_add_info_item): add an info item to the display
	(itip_view_clear_info_items): clear all items
	(itip_view_set_progress): set the progress message

	* itip-formatter.c: move over calendar loading, searching code,
	set more itip view properties

	* org-gnome-itip-formatter.eplug.in: add a config page item,
	doesn't do much right now

2004-12-22  JP Rosevear  <jpr@novell.com>

	* Initial checkin of new itip formatter 

